package com.bytesw.bytebot.model.converters;

import com.bytesw.bytebot.model.enums.FrequentQuestionStatusEnum;
import org.apache.camel.Converter;

import javax.persistence.AttributeConverter;

/**
 * @author Sebastian Chicoma Sandmann
 * @version 10-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Converter
public class FrequentQuestionStatusConverter implements AttributeConverter<FrequentQuestionStatusEnum, String> {

    @Override
    public String convertToDatabaseColumn(FrequentQuestionStatusEnum value) {
        if (value == null) {
            return null;
        }
        return value.getName();
    }

    @Override
    public FrequentQuestionStatusEnum convertToEntityAttribute(String value) {
        return FrequentQuestionStatusEnum.fromString(value);
    }
}